package com.fjhx.oa.entity.user.vo;

import com.fjhx.file.entity.FileInfoVo;
import com.fjhx.oa.entity.user.po.UserSalary;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 用户薪资列表查询返回值实体
 *
 * @author
 * @since 2024-06-18
 */
@Getter
@Setter
public class UserSalaryVo extends UserSalary {

    private String userName;

    private List<UserSalaryDetailVo> userSalaryDetailList;

    private Long companyId;
    private Long deptId;

    private String companyName;
    private String deptName;
    private String deptNames;


    /**
     * 附件信息
     */
    private List<FileInfoVo> fileList;

}
