package com.fjhx.oa.service.device;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.device.dto.DeviceRepairDto;
import com.fjhx.oa.entity.device.dto.DeviceRepairSelectDto;
import com.fjhx.oa.entity.device.po.DeviceRepair;
import com.fjhx.oa.entity.device.vo.DeviceRepairVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 设备维修 服务类
 * </p>
 *
 * @author
 * @since 2024-06-24
 */
public interface DeviceRepairService extends BaseService<DeviceRepair> {

    /**
     * 设备维修分页
     */
    Page<DeviceRepairVo> getPage(DeviceRepairSelectDto dto);

    /**
     * 设备维修明细
     */
    DeviceRepairVo detail(Long id);

    /**
     * 设备维修新增
     */
    void add(DeviceRepairDto deviceRepairDto);

    /**
     * 设备维修编辑
     */
    void edit(DeviceRepairDto deviceRepairDto);

    /**
     * 设备维修删除
     */
    void delete(Long id);

}
