package com.fjhx.form.entity.cost.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 费控备用金申请归还信息
 */
@Getter
@Setter
public class CostImprestVo {
    /**
     * 申请人
     */
    private Long applyUserId;
    /**
     * 申请金额
     */
    private BigDecimal applyMoney;
    /**
     * 归还金额
     */
    private BigDecimal returnAmount;
    /**
     * 剩余金额
     */
    private BigDecimal unReturnAmount;
}
