package com.fjhx.oa.entity.adjust.vo;

import com.fjhx.oa.entity.adjust.po.AdjustSalaryApply;
import com.fjhx.oa.entity.user.po.UserSalaryDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 调薪申请列表查询返回值实体
 *
 * @author
 * @since 2024-06-20
 */
@Getter
@Setter
public class AdjustSalaryApplyVo extends AdjustSalaryApply {

    private String userName;

    private List<AdjustSalaryDetailVo> userSalaryDetailList;

    /**
     * 历史计件薪资
     */
    private BigDecimal oldPerfAmount;

    /**
     * 历史薪资合计
     */
    private BigDecimal oldAmount;

    /**
     * 历史薪资明细
     */
    private List<UserSalaryDetail> oldUserSalaryDetailList;


}
