package com.fjhx.oa.mapper.device;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.device.po.DeviceRepair;
import com.fjhx.oa.entity.device.vo.DeviceRepairVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 设备维修 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-06-24
 */
public interface DeviceRepairMapper extends BaseMapper<DeviceRepair> {

    /**
     * 设备维修分页
     */
    Page<DeviceRepairVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<DeviceRepair> wrapper);

}
