package com.fjhx.wms.entity.contract.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 合同物料MRP信息
 * </p>
 *
 * @author
 * @since 2024-06-24
 */
@Getter
@Setter
@TableName("contract_mrp_info")
public class ContractMrpInfo extends BasePo {

    /**
     * 合同id
     */
    private Long contractId;

    /**
     * 物料id
     */
    private Long materialId;

    /**
     * 库存数量
     */
    private BigDecimal stockQuantity;

}
